#ifndef _KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
#define _KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
#include "kylin-ai/common/enums.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _SpeechModelConfig SpeechModelConfig;

SpeechModelConfig *speech_model_config_create();
void speech_model_config_destroy(SpeechModelConfig **config);

void speech_model_config_set_name(SpeechModelConfig *config, const char *name);
void speech_model_config_set_deploy_type(SpeechModelConfig *config,
                                         ModelDeployType type);

#ifdef __cplusplus
}
#endif

#endif  //_KYLIN_AI_CORE_AI_SPEECH_CONFIG_H
