#ifndef __KYLIN_AI_SPEECH_ERROR_H__
#define __KYLIN_AI_SPEECH_ERROR_H__

#include <kylin-ai/common/error.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef enum {
    SPEECH_RECOGNITION_AUDIO_DATA_SIZE_INVALID = 100,
    SPEECH_SYNTHESIS_TEXT_LENGTH_INVALID,
    SPEECH_PARAM_INVALID,
    SPEECH_DEFAULT_MICROPHONE_INVALID,
    SPEECH_UNKNOWN_ERROR,  // 未知错误
    SPEECH_UNSUPPORTED_LANGUAGE
} SpeechErrorCode;

#ifdef __cplusplus
}
#endif

#endif
