#ifndef __KYLIN_AI_AUDIO_DATA_STREAM_H__
#define __KYLIN_AI_AUDIO_DATA_STREAM_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

// 数据流
typedef struct _AudioDataStream AudioDataStream;
AudioDataStream *audio_data_stream_create();
void audio_data_stream_destroy(AudioDataStream **stream);
int audio_data_stream_write(AudioDataStream *stream, const uint8_t *data,
                               uint32_t data_length);

#ifdef __cplusplus
}
#endif

#endif
